Package org.eclipse.mat.query.registry

## Class ArgumentSet

- java.lang.Object
- - org.eclipse.mat.query.registry.ArgumentSet

    public class ArgumentSet
    extends Object

Holds a query, all the arguments for a query, and the query context, ready for execution.

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryResult` `execute​(IProgressListener listener)`
`Object` `getArgumentValue​(ArgumentDescriptor desc)`
`QueryDescriptor` `getQueryDescriptor()`
`List<ArgumentDescriptor>` `getUnsetArguments()`
`String` `getUnsetUsage()`
`boolean` `isExecutable()`
`void` `removeArgumentValue​(ArgumentDescriptor arg)`
`void` `setArgumentValue​(String name, Object value)`
`void` `setArgumentValue​(ArgumentDescriptor arg, Object value)`
`String` `toString()`
`String` `writeToLine()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### execute

    public QueryResult execute​(IProgressListener listener)
                        throws SnapshotException,
                               SnapshotException

Throws:
  `SnapshotException`

#### writeToLine

    public String writeToLine()

#### setArgumentValue

    public void setArgumentValue​(ArgumentDescriptor arg,
                                 Object value)

#### setArgumentValue

    public void setArgumentValue​(String name,
                                 Object value)

#### removeArgumentValue

    public void removeArgumentValue​(ArgumentDescriptor arg)

#### getArgumentValue

    public Object getArgumentValue​(ArgumentDescriptor desc)

#### getQueryDescriptor

    public QueryDescriptor getQueryDescriptor()

#### isExecutable

    public boolean isExecutable()

#### getUnsetArguments

    public List<ArgumentDescriptor> getUnsetArguments()

#### getUnsetUsage

    public String getUnsetUsage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`